%define modname magickwand
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A56_%{modname}.ini

Summary:	This module enables PHP access to the ImageMagick MagickWand API
Name:		php-%{modname}
Version:	1.0.9.2
%define		subrel 2
Release:	%mkrel 10
Group:		Development/PHP
License:	BSD-style
URL:		http://www.magickwand.org/
Source0:	http://www.magickwand.org/download/php/MagickWandForPHP-1.0.9-2.tar.gz
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	imagemagick-devel >= 6.3.6
BuildRequires:	file
BuildRequires:	libxt-devel

%description
This module enables PHP access to the ImageMagick MagickWand API.

%prep

%setup -q -n MagickWandForPHP-1.0.9

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fixes
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make

mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%doc AUTHOR CREDITS ChangeLog LICENSE README TODO
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Tue May 01 2018 kekepower <kekepower> 1.0.9.2-10.2.mga6
  (not released yet)
+ Revision: 1224354
- Rebuild for ImageMagic 6.9.9.41
- Rebuild for new ImageMagick

* Sun May 28 2017 shlomif <shlomif> 1.0.9.2-10.mga6
+ Revision: 1105245
- rebuild for new imagemagick lib-major

* Fri Feb 12 2016 umeabot <umeabot> 1.0.9.2-9.mga6
+ Revision: 958402
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.9.2-8.mga5
+ Revision: 749392
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.9.2-7.mga5
+ Revision: 687159
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 1.0.9.2-6.mga5
+ Revision: 616571
- rebuilt for php-5.6.0beta1

* Sat Feb 08 2014 fwang <fwang> 1.0.9.2-5.mga5
+ Revision: 586244
- rebuild for new imagemagick

* Fri Jan 24 2014 pterjan <pterjan> 1.0.9.2-4.mga4
+ Revision: 567607
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 1.0.9.2-3.mga4
+ Revision: 527865
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 1.0.9.2-2.mga4
+ Revision: 442683
- rebuilt for php-5.5.0RC3

* Thu May 30 2013 spuhler <spuhler> 1.0.9.2-1.mga4
+ Revision: 433431
- upgrade to version 1.0.9.2

* Tue May 28 2013 fwang <fwang> 1.0.9-6.mga4
+ Revision: 429184
- rebuild for new imagemagick

* Wed Jan 30 2013 oden <oden> 1.0.9-5.mga3
+ Revision: 393306
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1.0.9-4.mga3
+ Revision: 375821
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 fwang <fwang> 1.0.9-3.mga3
+ Revision: 330761
- rebuild for new imagemagick

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1.0.9-2.mga3
+ Revision: 223909
- httpd restart is handled by filetriggers now

* Thu Dec 22 2011 spuhler <spuhler> 1.0.9-1.mga2
+ Revision: 185609
- upgrade to 1.0.9

* Tue Sep 13 2011 fwang <fwang> 1.0.8-13.mga2
+ Revision: 142833
- rebuild for new imagemagick

* Sun Feb 06 2011 spuhler <spuhler> 1.0.8-12.mga1
+ Revision: 48053
- removed buildroot definition from .spec
- imported package php-magickwand

